import { useEffect, useState, useRef } from 'react';
import ChildComponent from './ChildComponent';
import { IgrDataGrid } from 'igniteui-react-grids';
import { Grid1Data } from '../data/Grid1Data';

const ParentComponent = () => {
  const [grid1Data, setGrid1Data] = useState<any[]>();
  const grid1Ref = useRef<IgrDataGrid>();
  const rendercount = useRef(1);
  useEffect(() => {
    rendercount.current = rendercount.current + 1;
  });

  useEffect(() => {
    setGrid1Data(Grid1Data);
  }, []);

  const onGrid1Ref = (grid: IgrDataGrid) => {
    if (!grid) {
      return;
    }
    grid1Ref.current = grid;
    console.log(grid1Ref.current.actualDataSource);
  };

  const onGridSaveLayout = () => {
    // Save Layout
  };
  return (
    <>
      <h1>Render Count : {rendercount.current}</h1>
      <ChildComponent grid1Data={grid1Data} onGrid1Ref={onGrid1Ref} grid1Ref={grid1Ref.current} />
    </>
  );
};
export default ParentComponent;
